n1, n2 = input(), input()


def lun_sum(a, b):
    summ = ''
    if len(a) > len(b):
        a, b = b, a
    a = a.rjust(len(b), '0')
    for i1, i2 in zip(a, b):
        summ += str(max(int(i1), int(i2)))
    return summ


def lun_proisv(a, b):
    sums = []
    zeros_back = 0
    if len(a) < len(b):
        a, b = b, a
    zeros_start = len(b) - 1 - zeros_back
    result = ''
    for i in b[::-1]:
        proisv = ''
        for j in a[::-1]:
            proisv += str(min(int(i), int(j)))
        sums.append(zeros_start * '0' + proisv[::-1] + zeros_back * '0')
        zeros_back += 1
        zeros_start -= 1
    for i in zip(*sums):
        result += str(max(map(int, list(i))))
    return result


print(lun_sum(n1, n2), lun_proisv(n1, n2))